View Issue Details

IDProjectCategoryView StatusLast Update
12189Bug reports[All Projects] Import/Exportpublic2017-03-13 15:07
ReporterMazi 
Assigned ToDenisChenu 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version2.59.x 
Target VersionFixed in Version2.64.x 
Summary12189: Group import summary shows number of imported groups is > 1
DescriptionWhen importing a question group the summary says:
Imported groups: 4
Imported questions: 2

The correct number of groups imported is of course just 1.
Steps To ReproduceCreate a 1 question survey, export group, import group.
Additional InformationNot sure if this is related but the survey I tested uses 4 languages and for all imports I tested it always shows "Imported groups: 4" so maybe that is related to the 4 languages the survey uses.
TagsNo tags attached.
Complete LimeSurvey version number (& build)2.59.1+170116
I will donate to the project if issue is resolvedNo
BrowserChrome
Database & DB-VersionMySQL 5.5
Operating System (Server)Ubuntu 14 TLS
Webserver software & versionApache 2.0
PHP Version5.5.9

Relationships

Activities

DenisChenu

2017-03-11 12:00

developer   ~43262

lss file with 4 language and one group please ;)

Mazi

2017-03-13 09:38

developer   ~43270

Group file with languages English, German, French and Luxembourgian attached

Mazi

2017-03-13 09:40

developer   ~43271

LSS file with same 4 languages (and several groups) attached.

DenisChenu

2017-03-13 09:44

developer   ~43272

@Mazi : you can not do a little lss file ? Just to show the issue ?

Mazi

2017-03-13 10:10

developer   ~43273

@DenisChenu: You just have to import the LSS file, then import the LSG file and you'll see the import message details being wrong.

DenisChenu

2017-03-13 15:04

developer   ~43276

if there are only one group : more easy to find the error: here show 108, but have 27 groups. Take more time to import for fixing, then less time to make other fix.

DenisChenu

2017-03-13 15:05

developer   ~43277

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=22470

DenisChenu

2017-03-13 15:07

developer   ~43278

Another reason of sample lss : leave bug public

Related Changesets

LimeSurvey: master d6071117

2017-03-13 15:03:03

DenisChenu

Details Diff
Fixed issue 12189 : Group import count are false
mod - application/helpers/admin/import_helper.php Diff File

Issue History

Date Modified Username Field Change
2017-03-10 14:43 Mazi New Issue
2017-03-10 14:44 Mazi Description Updated View Revisions
2017-03-10 15:03 Mazi Additional Information Updated View Revisions
2017-03-11 12:00 DenisChenu Note Added: 43262
2017-03-13 09:38 Mazi File Added: pr5limesurvey_group_2972.lsg
2017-03-13 09:38 Mazi Note Added: 43270
2017-03-13 09:39 Mazi View Status public => private
2017-03-13 09:40 Mazi File Added: limesurvey_survey_213338.lss
2017-03-13 09:40 Mazi Note Added: 43271
2017-03-13 09:44 DenisChenu Note Added: 43272
2017-03-13 10:10 Mazi Note Added: 43273
2017-03-13 15:04 DenisChenu Note Added: 43276
2017-03-13 15:04 DenisChenu Assigned To => DenisChenu
2017-03-13 15:04 DenisChenu Status new => assigned
2017-03-13 15:05 DenisChenu Changeset attached => LimeSurvey master d6071117
2017-03-13 15:05 DenisChenu Note Added: 43277
2017-03-13 15:05 DenisChenu Resolution open => fixed
2017-03-13 15:06 DenisChenu Status assigned => resolved
2017-03-13 15:06 DenisChenu Fixed in Version => 2.64.x
2017-03-13 15:06 DenisChenu File Deleted: limesurvey_survey_213338.lss
2017-03-13 15:07 DenisChenu File Deleted: pr5limesurvey_group_2972.lsg
2017-03-13 15:07 DenisChenu View Status private => public
2017-03-13 15:07 DenisChenu Note Added: 43278